Problemas com o postgresql após upgrade para o Ubuntu Karmic

Para quem fez o upgrade do Ubuntu para o Karmic Koala e teve problemas com o PostgreSQL aqui vai a dica.

Na nova versão do Ubuntu, o PostgreSQL 8.3 foi substituído pelo 8.4, mas (pelo menos para mim) as bases não foram copiadas ou convertidas. Sem a versão anterior rodando, eu não pude fazer um dump para importar para a nova.

Para resolver o problema, o melhor a se fazer é remover a nova versão do PostgreSQL e restaurar a versão antiga. Ao fazer o upgrade de sistema, os arquivos de configuração são mantidos (em /etc/postgresql/8.3/main), então é bem provável que tudo funcione como estava antes da atualização.

sudo apt-get remove postgresql-8.4 postgresql-client-8.4
sudo apt-get install postgresql-8.3 postgresql-client-8.3

Com o PostgreSQL voltando a funcionar você pode optar por manter a versão antiga, ou fazer um backup e restaurar na nova versão (aconselhável).

Sobre Rico
Software engineer

Deixe uma resposta

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s

%d blogueiros gostam disto: